SetSerializer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.serializers

## Class SetSerializer<T>

- java.lang.Object
- - org.apache.cassandra.serializers.CollectionSerializer<java.util.Set<T>>
  - - org.apache.cassandra.serializers.SetSerializer<T>

- All Implemented Interfaces:
    TypeSerializer<java.util.Set<T>>

      public class SetSerializer<T>
      extends CollectionSerializer<java.util.Set<T>>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `TypeSerializer<T>` | `elements`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<T>` | `deserializeForNativeProtocol(java.nio.ByteBuffer bytes, int version)`
    `int` | `getElementCount(java.util.Set<T> value)`
    `static <T> SetSerializer<T>` | `getInstance(TypeSerializer<T> elements)`
    `java.lang.Class<java.util.Set<T>>` | `getType()`
    `java.util.List<java.nio.ByteBuffer>` | `serializeValues(java.util.Set<T> values)`
    `java.lang.String` | `toString(java.util.Set<T> value)`
    `void` | `validateForNativeProtocol(java.nio.ByteBuffer bytes, int version)`

    - ### Methods inherited from class org.apache.cassandra.serializers.CollectionSerializer

      `deserialize, pack, readCollectionSize, readValue, reserializeToV3, serialize, sizeOfCollectionSize, sizeOfValue, validate, writeCollectionSize, writeValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### elements

          public final TypeSerializer<T> elements

  - ### Method Detail

    - #### getInstance

          public static <T> SetSerializer<T> getInstance(TypeSerializer<T> elements)

    - #### serializeValues

          public java.util.List<java.nio.ByteBuffer> serializeValues(java.util.Set<T> values)

      Specified by:
        `serializeValues` in class `CollectionSerializer<java.util.Set<T>>`

    - #### getElementCount

          public int getElementCount(java.util.Set<T> value)

      Specified by:
        `getElementCount` in class `CollectionSerializer<java.util.Set<T>>`

    - #### validateForNativeProtocol

          public void validateForNativeProtocol(java.nio.ByteBuffer bytes,
                                                int version)

      Specified by:
        `validateForNativeProtocol` in class `CollectionSerializer<java.util.Set<T>>`

    - #### deserializeForNativeProtocol

          public java.util.Set<T> deserializeForNativeProtocol(java.nio.ByteBuffer bytes,
                                                               int version)

      Specified by:
        `deserializeForNativeProtocol` in class `CollectionSerializer<java.util.Set<T>>`

    - #### toString

          public java.lang.String toString(java.util.Set<T> value)

    - #### getType

          public java.lang.Class<java.util.Set<T>> getType()

Copyright © 2018 The Apache Software Foundation